// This program is created for LPC2106-MT board
// Shows how to work with buttons, led, buzzer, relay
// Notice!!! Buttons are connected to JTAG interface, so you must test the program only
//           in FLASH and remove DEBUG jumper

#include "system.h"
#include "led.h"
#include "buttons.h"
#include "buzzer.h"
#include "relay.h"

int main()
{
  /**** INITIALIZATION ****/
  // Frequency initialization
  FrecInit();
  // Led initialization
  LedsInit();
  // Buttons initialization
  InitButtons();
  // Buzzer initialization
  InitBuzzer();
  // Realy initialization
  InitRelay();


  // loop forever
  while(1) {

    // if button 1 is pressed
    if(!BUT1_PRESSED)
      Beep();

    // if button 2 is pressed
    if(!BUT2_PRESSED)
      SetRelayState(0);

    // if button 3 is pressed
    if(!BUT3_PRESSED)
       SetRelayState(1);

    // if button 4 is pressed
    if(!BUT4_PRESSED)
      Led1Blink();


    // if button 5 is pressed
    if(!BUT5_PRESSED) { }

  }

}
